# Settings for snapshots.linaro.org.

from settings import *

DEBUG = False

ROOT_URLCONF = 'urls'

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.sqlite3',
        'NAME': '/srv/snapshots.linaro.org/db/licenses.db',
        'USER': '',
        'PASSWORD': '',
        'HOST': '',
        'PORT': '',
    }
}

TEMPLATE_DIRS = (
    os.path.join(PROJECT_ROOT, "templates_snapshots" ),
    os.path.join(PROJECT_ROOT, "templates" ),
    )
SERVED_PATHS = ['/srv/snapshots.linaro.org/www']

# Render TEXTILE files settings.
LINUX_FILES = ('README',
               'INSTALL',
               'HACKING',
               'FIRMWARE',
               'RTSM')

ANDROID_FILES = ('HOWTO_releasenotes.txt',
                 'HOWTO_install.txt',
                 'HOWTO_getsourceandbuild.txt',
                 'HOWTO_flashfirmware.txt',
                 'HOWTO_rtsm.txt')

FILES_MAP = {'HOWTO_releasenotes.txt': 'Release Notes',
             'HOWTO_install.txt': 'Binary Image Installation',
             'HOWTO_getsourceandbuild.txt': 'Building From Source',
             'HOWTO_flashfirmware.txt': 'Firmware Update',
             'HOWTO_rtsm.txt': 'RTSM',
             'README': 'Release Notes',
             'INSTALL': 'Binary Image Installation',
             'HACKING': 'Building From Source',
             'FIRMWARE': 'Firmware Update',
             'RTSM': 'RTSM'}

TAB_PRIORITY = ['Release Notes',
                'Binary Image Installation',
                'Building From Source',
                'Firmware Update',
                'RTSM']
